<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Week 5</title>
</head>

<body>
<?php
// This script makes a pull-down menu for selecting a month

$months = array (1 => 'January', 'Feburary', 'March', 'April', 'May', 'June', 'July', 
                    'August', 'September', 'October', 'November', 'December');


// Make the months pull-down menu:
echo '<select name="month">';
foreach ($months as $key => $value) {
	echo "<option value=\"$key\">$value</option>\n";
}
echo '</select>';

/* Notice that we manually specify the index of the $months array starting from 1. Each month will have an index that matches it actual month number. This ensures that the value attribute in the <option> tag corresponds to the actual month number (e.g., 1 for January, 2 for February, etc.), instead of using the default zero-based index (where January would be 0).

   This is useful when handling form submissions because $_POST['month'] will store the selected month number (1 for January, 2 for February, etc.) rather than an unintended zero-based index (0 for Janyary, 1 for Febuary).
*/
?>

</body>
</html>

